# RakNet::System_CreateDatabase Struct Reference

Create all tables and stored procedures on a system that does not already have them. More...

`#include <Lobby2Message.h>`

Inheritance diagram for RakNet::System_CreateDatabase:

List of all members.

## Public Member Functions
virtual bool | RequiresAdmin (void) const
virtual bool | RequiresRankingPermission (void) const
virtual bool | CancelOnDisconnect (void) const
virtual bool | RequiresLogin (void) const
virtual bool | PrevalidateInput (void)

## Detailed Description

Create all tables and stored procedures on a system that does not already have them.

## Member Function Documentation

virtual bool RakNet::System_CreateDatabase::CancelOnDisconnect | ( | void |  | ) | const`[inline, virtual]`

Should this message not be processed on the server if the requesting user disconnects before it completes? This should be true for functions that only return data. False for functions that affect other users, or change the database

Implements RakNet::Lobby2Message.

virtual bool RakNet::System_CreateDatabase::PrevalidateInput | ( | void |  | ) | `[inline, virtual]`

If data members can be validated for correctness in the server's main thread, override this function and do those checks here.

Returns:
  True for input OK. False if the input is bad and does not need to be further processed in the database threads.

Reimplemented from RakNet::Lobby2Message.

virtual bool RakNet::System_CreateDatabase::RequiresAdmin | ( | void |  | ) | const`[inline, virtual]`

Is this message something that should only be run by a system with admin privileges? Set admin privileges with Lobby2Server::AddAdminAddress()

Implements RakNet::Lobby2Message.

virtual bool RakNet::System_CreateDatabase::RequiresLogin | ( | void |  | ) | const`[inline, virtual]`

Does this function require logging into the server before it can be executed? If true, the user id and user handle will be automatically inferred by the last login by looking up the sender's system address. If false, the message should include the username so the database query can lookup which user is performing this operation.

Implements RakNet::Lobby2Message.

virtual bool RakNet::System_CreateDatabase::RequiresRankingPermission | ( | void |  | ) | const`[inline, virtual]`

Is this message something that should only be run by a system with ranking upload priviledges? Set ranking privileges with Lobby2Server::AddRankingAddress()

Implements RakNet::Lobby2Message.

The documentation for this struct was generated from the following file:

- C:/RakNet/DependentExtensions/Lobby2/Lobby2Message.h